import request from '@/utils/request'

// 查询期刊详情列表
export function listMagDetail(query) {
  return request({
    url: '/base/magDetail/list',
    method: 'get',
    params: query
  })
}

// 查询期刊详情详细
export function getMagDetail(id) {
  return request({
    url: '/base/magDetail/' + id,
    method: 'get'
  })
}

// 新增期刊详情
export function addMagDetail(data) {
  return request({
    url: '/base/magDetail',
    method: 'post',
    data: data
  })
}

// 修改期刊详情
export function updateMagDetail(data) {
  return request({
    url: '/base/magDetail',
    method: 'put',
    data: data
  })
}

// 删除期刊详情
export function delMagDetail(id) {
  return request({
    url: '/base/magDetail/' + id,
    method: 'delete'
  })
}
